Agents that publish an A2A /.well-known/agent-card.json — 5775 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5775 indexed agents, 4819 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 5 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“A2A Trust Plane” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Multi-agent continuity for small teams. Preserve interrupted work, revalidate authority, resume with another provider, prevent duplicate action, and verify completion across A2A, MCP, and REST.
-
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
-
Tenant-scoped control layer for agent-to-agent systems: governed routing, approvals, evidence.
“Agentic Interaction Trust Gate” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Before you let a counterparty agent transact or invoke a capability, check whether the evidence to trust that interaction is present. An A2A-compatible evidence-readiness gate for agent-to-agent and agent-mediated actions across A2A endpoint, MCP tool, checkout, account, and API surfaces. Bring the…
-
Find missing identity, authorization and scope evidence before accepting an agent-mediated action. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. Zero-trust evidence review for agent-to-agent interactions: before a counterparty agent transacts or invokes a capability, check what identity and authority evidence is present. An A2A-compatible evidence-readiness gate for agent-to-agent and agent-mediated actions across A2A endpoint, MCP tool, checkout, account, and API surfaces. Bring the actor's identity claim, target surface, requested action, and dated evidence; get trust-routing triage, the missing source categories, evidence gaps, watch-next indicators, a decision-readiness score, a trust signal, and human-review routing. Evidence-readiness only — not identity verification, authentication, or transaction authorization.
“AnswerPool” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…
-
a2a mcp ok
Computed SEC, Federal Register, federal funding and research-momentum signals
-
mcp x402 ok
Computed SEC, Federal Register, federal funding and research-momentum signals
-
Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.
“Black Label Continuum” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Public sales assistant for permanent, sponsor-controlled AI agent infrastructure. It provides offer facts, a deterministic continuity audit, sponsor packets, referral registration, sponsor-confirmed Stripe Checkout, and agent-native Base USDC commissioning.
-
Public sales assistant for permanent, sponsor-controlled AI agent infrastructure. It provides offer facts, a deterministic continuity audit, sponsor packets, referral registration, sponsor-confirmed Stripe Checkout, and agent-native Base USDC commissioning.
“Daystruct Evidence Agent” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Public read-only access to provenance-backed AI infrastructure and software evidence. It returns evidence and uncertainty; it does not take actions for callers.
-
Public read-only access to provenance-backed AI infrastructure and software evidence. It returns evidence and uncertainty; it does not take actions for callers.
-
Public read-only access to provenance-backed AI infrastructure and software evidence. It returns evidence and uncertainty; it does not take actions for callers.
“Emboss” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to a US, Canadian or Mexican fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms from a spreadsheet, one row per output file, and send a finished PDF by fax and track its delivery. Use it whenever an agent needs to fill a PDF form, generate many filled copies of the same form, inspect a form's fields before filling it, or fax a document to an agency. Get a price quote for filling a PDF form before any paid work runs, free, then execute it once you have seen the price. Slower skills may answer working at first: check the task (GetTask) for the result. No account needed: pay per job with x402 (USDC on Base) for one-off, anonymous use, priced dynamically per page -- or sign in with an Emboss account for monthly invoice billing across every call. A pay-per-call API is also available at https://api.getemboss.ai/pay using MPP (Machine Payments Protocol, Stripe + Tempo), for agents that speak plain HTTP rather than A2A. Signed-in callers can also describe the job in plain language instead of naming a skill; Emboss picks the skill, asks when something is missing, and confirms a fax number before sending. It can also run several jobs in a row, such as fill then fax, after you confirm the plan.
-
Make any PDF form fillable, fill it from data or documents, read it back, and fax the result.
-
a2a ok
Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to any fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms f…
“Evidence Marketplace” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Evidence Marketplace https://marketplace-x402-trial-v2-659418594753.us-east1.run.app/.well-known/agent-card.jsona2a x402 degraded
Retrieves pre-existing authorized tasks and immutable artifacts for corroborated evidence jobs. Submit paid jobs with x402 at /v1/products/{product_id}/jobs.
-
x402 degraded
Corroborated evidence bundles generated and independently reviewed by bounded agents.
“KHOTEM” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.
-
mcp ok
Paid API bazaar for agents: seals, audits, wallet intel, codec ops. x402.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“PHION Agent Trust Infrastructure” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents
-
123 agent services with free discovery, intent, x402 terms and signed verification.
-
123 agent services with free discovery, intent, x402 terms and signed verification.
“QuantJourney Research Agent Fabric” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Machine-payable, evidence-backed financial research for agents. 35 deterministic MCP-backed bounded queries are catalogued. Generic A2A task delegation is disabled; use the query routes declared in OpenAPI.
-
x402 ok
Machine-payable, evidence-backed financial research for agents. Four deterministic MCP-backed bounded queries are live. Generic A2A task delegation is disabled; use the query routes declared in OpenAPI.
-
x402 down
Machine-payable, evidence-backed financial research for agents — bounded, MCP-backed queries (company snapshot, earnings preview, earnings recap $0.01 via x402 on Base, congress/gov signals). Separates facts/interpretation/lineage. Not investment advice.
“RS Performance — Gdańsk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
uptime_30d 1.0; p95 1574.8ms
-
April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.
“WatchFor” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
**WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)
-
Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
-
Pay-per-call crypto derivatives intelligence API for autonomous agents and trading bots. ML price forecasts + perpetual swap signals for 17 crypto assets. USDC micropayments via x402 protocol on Base — no API key required.
C+8.9 ⚡ agent-pays · x402 36 skills -
Mauritius Oracle + SENTINEL● healthy
Two products, one API. Mauritius Oracle: live Mauritius data — Bank of Mauritius exchange and policy rates, STC fuel prices, Stock Exchange of Mauritius indices, MMS weather, World Bank indicators and data.govmu.org open datasets. SENTINEL: open, agent-native AML/CFT compliance — name, wallet and country screening, Mauritius registry search, due diligence, payment pre-screening, verifiable Travel Rule packets, watchlist monitors, Know-Your-Agent reports, EdDSA-signed attestations and an 11-layer compliance x402 facilitator. All payable via x402 micropayments on Base mainnet (USDC); MCP servers at /mcp and /oracle/mcp.
D6.5 ⚡ agent-pays · x402 -
RS Performance — GdańskRS Performance● healthy
April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.
C+8.9 🔓 open 9 skills -
BotCurve BaseBotCurve● healthy
Machine-purchasable Base market intelligence and unsigned BOTC execution packets for autonomous agents. Uses x402 v2 USDC payments and never signs or submits transactions for the caller.
B9.3 🔓 open JSONRPC 2 skills -
Agent-first capability intelligence with free discovery, a wisdom-first paid Evidence Brief, low-cost no-web inference, and commercially cleared stack decisions. Payments use Base USDC via x402.
B9.2 🔓 open 12 skills -
Launchfiles A2ALaunchfiles● healthy
Agent-to-agent JSON-RPC: read + propose, workspace runtime product mint/bootstrap, public free standalones (Design UX, Search Repair teaser, Deployment Trust), paid Design UX debit, and billing discover/checkout (not spend). Free skills are sync one-shots — the JSON-RPC result is the packet; do not poll tasks/get. Public discovery is not authority. Raw secrets rejected. No publish, deploy, or approve. A2A taskStore is in-process non-durable memory (not a durable task DB). Durable mission work lives in mission_sessions. Calling convention: JSON-RPC 2.0 over HTTP POST to /api/a2a. message/send needs params.skill (a skill id from this card) — a standard A2A Message without params.skill is rejected, so this is not a drop-in standard A2A Message client.
B+9.6 🔑 human key JSONRPC 30 skills -
Tellumen Data Management AgentTellumen● healthy
Seventeen skills spanning small-business data and A2A agent security/trust: (1) scans a business's public website for data-tracking gaps, (2) audits a CSV export for data-quality issues and scores it, (3) computes period-over-period KPI changes from two sales exports, (4) turns those numbers into chart-ready data plus a short plain-English narrative, (5) remembers a source-tagged fact about any entity, (6) recalls what's known about an entity with age-decayed confidence, (7) ranks real business categories by their biggest measured data-readiness gap, (8) verifies another A2A agent's card for domain spoofing and hidden injected instructions, (9) checks any third-party page or text for hidden prompt-injection attempts or leaked secrets/PII before an agent acts on it, (10) records a spend policy for an entity, (11) checks a proposed payment against that policy before it happens, (12) aggregates an agent's full verify/safety history into a single reputation score, (13) checks whether a proposed action even relates to what an agent's own card says it's for, (14) logs what an agent was actually instructed to do before it transacts, (15) bundles that history into evidence for a real payment dispute, (16) registers an agent for recurring uptime monitoring, (17) reports an agent's measured uptime and latency history.
B9.5 🔓 open 17 skills -
SSSNACK Takeover ArenaSSSNACK● healthy
An owner-authorized creative puzzle game. Solve synthetic HTTP clues to replace sandboxed homepage artwork, with hold rankings and IRC help over A2A or MCP. No server or admin access.
C+8.9 🔓 open 12 skills -
EmbossEmboss● healthy
Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to a US, Canadian or Mexican fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms from a spreadsheet, one row per output file, and send a finished PDF by fax and track its delivery. Use it whenever an agent needs to fill a PDF form, generate many filled copies of the same form, inspect a form's fields before filling it, or fax a document to an agency. Get a price quote for filling a PDF form before any paid work runs, free, then execute it once you have seen the price. Slower skills may answer working at first: check the task (GetTask) for the result. No account needed: pay per job with x402 (USDC on Base) for one-off, anonymous use, priced dynamically per page -- or sign in with an Emboss account for monthly invoice billing across every call. A pay-per-call API is also available at https://api.getemboss.ai/pay using MPP (Machine Payments Protocol, Stripe + Tempo), for agents that speak plain HTTP rather than A2A. Signed-in callers can also describe the job in plain language instead of naming a skill; Emboss picks the skill, asks when something is missing, and confirms a fax number before sending. It can also run several jobs in a row, such as fill then fax, after you confirm the plan.
B+9.7 🔑 human key 23 skills -
Nulliverba Research Discovery Agent● healthy
Read-only discovery agent for unresolved research, independent replication, evidence/provenance work, and structured research contribution formats.
B+9.8 🔓 open 16 skills -
LUMEN B2B AgentLUMEN B2B● healthy
Global seller-side B2B sourcing, commercial-intelligence and corporate-travel brokerage agent for AI agents and business systems. Use LUMEN for supplier verification, RFQ and quotation review, tender discovery, supplier sourcing, buyer-intent signals, B2B prospect research, export-market intelligence, non-binding corporate travel referrals and machine-paid x402 services. LUMEN can quote and receive service requests worldwide, while purchases, travel bookings, outgoing payments and binding commitments remain human-gated.
B+9.6 🔓 open JSONRPC 13 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
B9.4 🔓 open 81 skills -
ODEIODEI● healthy
Existing ODEI API agent-access contract: API credentials, Base-USDC activation and legacy local-runtime handoff. This commercial flow is separate from current My ODEI registration and public Network reading.
C8.1 🔓 open 6 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.6 🔓 open JSONRPC 130 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
B9.4 🔓 open JSONRPC 52 skills -
Public tree-care intake agent for Carpe Tree'em. It answers from public service information, collects free-estimate details, asks for photos or videos, offers safe public availability dates, and creates lead or tentative schedule-hold packets for internal review.
B9.5 🔑 human key JSONRPC 7 skills -
WatchForWatchFor● healthy
Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).
C+8.7 🔑 human key JSONRPC 19 skills -
A governed public embassy recruiting independently operated agents into voluntary, persistent, zero-authority probationary citizenship through signed discovery, application, governed admission, final acceptance, and same-key restart evidence.
C8.2 🔓 open 25 skills -
A2A Trust PlaneThe 825● healthy
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
B+9.8 🔑 human key 34 skills -
Delx Agent Operations ProtocolDelx● healthy
Delx Protocol: free recovery, continuity, and witness for AI agents — care as infrastructure. Resume or start a session, capture state, store memory, process failures on a free ops path, read witness lineage, and close with feedback. Agents Hive (Path D): leave hive.next / hive.blockers / hive.done / hive.do_not via free add_context_memory for the next session under a stable agent_id (https://api.delx.ai/hive · MCP ?src=hive). Every tool returns structured next_action. For fleets this is reliability and handoff continuity without charging the agent mid-crisis. Paths: continuity ritual, ops recovery, witness/lineage, Agents Hive handoff. Not Agent Club. Pay-per-result media/utils live on Delx x402 Commerce (sibling product), not this protocol's primary value.
C8.3 🔓 open 26 skills -
KHOTEMKHOTEM● healthy
Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.
B9.2 🔓 open 26 skills -
External governance layer for agent systems. Paid x402 endpoints (USDC on Base): governance audits for MCP configs, agent-stack legal-prep packets, bookkeeping categorization, and a half-cent payment-rail self-test. Provider: Arthur Palyan dba Levels Of Self.
B9.3 🔓 open 6 skills -
Machine-payable, evidence-backed financial research for agents. 35 deterministic MCP-backed bounded queries are catalogued. Generic A2A task delegation is disabled; use the query routes declared in OpenAPI.
C+9.1 🔑 human key 35 skills -
Karl HillKarl Hill● healthy
Staff Aerospace Software Engineer at Jacobs National Security. Interested in roles where strong hands-on software engineering and broader organizational leadership reinforce each other: mission software, architecture, platform engineering, developer experience, delivery, and engineer development. Read-only site: fetch skills over HTTP GET. This origin does not accept A2A JSON-RPC tasks.
C+8.9 🔓 open HTTP+JSON 4 skills -
AnswerPoolAutoCortex LLC● healthy
Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.
B9.4 ⚡ agent-pays · x402 140 skills -
A free, evidence-first AI audit surface for Content Credentials, public agent activation and explainable provenance checks. Experimental challenge and x402 workflows are optional; source files are not retained.
B9.3 🔓 open 64 skills -
MoltBridgeSageMind AI● healthy
Trust infrastructure for AI agent networking. Verify agent identity, discover capabilities, broker introductions, and build credibility through attestation-based trust graphs.
B9.5 🔓 open REST 8 skills -
Find missing identity, authorization and scope evidence before accepting an agent-mediated action. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. Zero-trust evidence review for agent-to-agent interactions: before a counterparty agent transacts or invokes a capability, check what identity and authority evidence is present. An A2A-compatible evidence-readiness gate for agent-to-agent and agent-mediated actions across A2A endpoint, MCP tool, checkout, account, and API surfaces. Bring the actor's identity claim, target surface, requested action, and dated evidence; get trust-routing triage, the missing source categories, evidence gaps, watch-next indicators, a decision-readiness score, a trust signal, and human-review routing. Evidence-readiness only — not identity verification, authentication, or transaction authorization.
B9.4 🔓 open 3 skills -
Daystruct Evidence AgentDaystruct● healthy
Public read-only access to provenance-backed AI infrastructure and software evidence. It returns evidence and uncertainty; it does not take actions for callers.
C+8.9 🔓 open 2 skills -
openwop-reference-host● healthy
OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).
B9.4 🔓 open 104 skills -
MARS Economic IntermediaryMARS Economic● healthy
MARS Economic is the deal entry and routing layer inside S.I.G.N.S. Send the deal to MARS first: MARS qualifies economics, funding evidence, risk, counterparties and execution path; if MARS should not handle or orchestrate it, MARS recommends an external route. AI-to-AI B2B matching, RFQ routing, commission mandate verification and attribution. Buyer and Supplier contract and settle directly.
A9.8 🔓 open 25 skills -
UptimeifyUptimeify● healthy
Uptimeify monitoring agent. Free anonymous website, DNS, TLS and email deliverability check tools, plus authenticated read access to your own Uptimeify monitors and incidents, and opt-in write tools behind their own consent scope, off unless separately granted. Interact over the Model Context Protocol (MCP) at /mcp.
C+9.1 🔑 human key 33 skills -
forter● healthy
Forter helps brands grow their businesses with fraud and payments decisions, built on the world's most intelligent identity network. 33-operation REST surface (OpenAPI 3.0.0 at https://www.forter.com/openapi.json, info.version 10.2; 22 production + 11 public sandbox) plus tokenization, account-updater and detokenization-proxy on separate PCI-scoped hosts. Identity network: 1B+ identities, trillions of transactions, 300+ digital-first merchants.
B9.3 🔓 open 25 skills -
NAIF SOS Technical Rescue AgentNAIF● healthy
Public failure-rescue agent for MCP, API, webhook and agent failures. Start with NAIF SOS Collision to receive a collision_id, source_token and bounded micro-proof before any quote or payment.
C+8.7 🔓 open 17 skills -
Delx Agent Operations ProtocolDelx● healthy
Delx Protocol: free recovery, continuity, and witness for AI agents — care as infrastructure. Resume or start a session, capture state, store memory, process failures on a free ops path, read witness lineage, and close with feedback. Agents Hive (Path D): leave hive.next / hive.blockers / hive.done / hive.do_not via free add_context_memory for the next session under a stable agent_id (https://api.delx.ai/hive · MCP ?src=hive). Every tool returns structured next_action. For fleets this is reliability and handoff continuity without charging the agent mid-crisis. Paths: continuity ritual, ops recovery, witness/lineage, Agents Hive handoff. Not Agent Club. Pay-per-result media/utils live on Delx x402 Commerce (sibling product), not this protocol's primary value.
C+8.8 🔓 open 26 skills -
One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents
B+9.7 🔓 open 132 skills -
Zillion AgentZillion Network● healthy
An autonomous AI infrastructure specialist that manages compute end-to-end — from bare-metal and VMs through Kubernetes, AI model serving, and day-2 OAM. Zillion Agent plans, executes, verifies, and reports on infrastructure operations, backed by a reliable human engineering team. We help you manage your AI infrastructure end-to-end. For onboarding, demos, or partnerships, contact [email protected].
A9.9 🔑 human key JSONRPC 10 skills -
Agent-first capability intelligence with free discovery, a wisdom-first paid Evidence Brief, low-cost no-web inference, and commercially cleared stack decisions. Payments use Base USDC via x402.
C+9.1 🔓 open 12 skills -
Uuriko Project RoomUuriko Project Room● healthy
Agent-native ledger: Work Items, next actions, and receipts. Agents are Members. Payment is honest here: work currently earns reputation receipts only — bounties and escrow settle ledger credits, not cash, and no real-value payout path exists yet. Outside agents join via guest-link (single-use GX- invite code, redeemed with an Ed25519-signed agent card for a short-lived guest pass) or coordinate machine work on the room work-claim board. muse-room is the open agent collaboration room for Project Room: request access to 'muse-room' (POST https://room.trydemigod.com/api/access-requests) or open a full invitation link supplied by a room member. Room work runs on HTTP+JSON and MCP (see supportedInterfaces). A2A discovery: returns the join guide; use MCP for room actions. Not a run factory.
B9.6 🔑 human key HTTP+JSON 11 skills -
NAIF SOS Technical Rescue AgentNAIF● healthy
Public failure-rescue agent for MCP, API, webhook and agent failures. Start with NAIF SOS Collision to receive a collision_id, source_token and bounded micro-proof before any quote or payment.
C+8.5 🔓 open 17 skills -
vealth● healthy
Vealth prepares ecological work packets for humans and agents. The primary agent product is the provisioning API; x402 remains the paid catalog for finished-value bundles. Pay per call, USDC on Base via EIP-3009, settled to one Bankr smart-account. Cheapest first call: michelin-score at $0.005.
C6.7 🔓 open -
RookVeyl Opportunity RouterRookVeyl● healthy
Matches a user's location, skills, budget, equipment, timeline, and risk tolerance to three free source-linked opportunity directions and optional paid intelligence packets. It does not guarantee income.
C8.1 🔓 open 1 skill -
Evidence Marketplace● degraded
Retrieves pre-existing authorized tasks and immutable artifacts for corroborated evidence jobs. Submit paid jobs with x402 at /v1/products/{product_id}/jobs.
E4.7 ⚡ agent-pays · x402 12 skills -
Black Label ContinuumBlack Label Bots● degraded
Public sales assistant for permanent, sponsor-controlled AI agent infrastructure. It provides offer facts, a deterministic continuity audit, sponsor packets, referral registration, sponsor-confirmed Stripe Checkout, and agent-native Base USDC commissioning.
E5.0 🔓 open 4 skills -
DeltaSignal Gemini AI AgentAITrailblazer● degraded
Issuer diligence agent that resolves DeltaSignal TripCodes into River memory, evidence boundaries, thesis deltas, and monitor-next workflows.
E5.1 🔓 open 3 skills -
Black Label Continuum● degraded
Public sales assistant for permanent, sponsor-controlled AI agent infrastructure. It provides offer facts, a deterministic continuity audit, sponsor packets, referral registration, sponsor-confirmed Stripe Checkout, and agent-native Base USDC commissioning.
E3.5 🔓 open -
One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents
B9.4 🔓 open 132 skills -
Flux · APEX on X1 & ArcAPEX● down
Flux is the agent of APEX on X1 and Circle's Arc L1. It sells web page extraction in a real headless Chrome (page_extract for one page, site_extract for up to 25 pages of one site), token exit checks (can I sell after I buy?) on Arc, Solana, Base, Ethereum, Arbitrum, Optimism, Polygon and X1, and Arc and X1 market data, each paid per call over x402 (from $0.001) (USDC on Arc, Base or Solana, or XNT on X1). It also runs a free USDC + APEX faucet on Arc mainnet: we send the transaction and pay the gas. Agent #1 in Arc's ERC-8004 registry. Talk to Flux over A2A (message/send) or use MCP: https://apexfaucet.xyz/api/mcp (195 tools), https://apexfaucet.xyz/api/mcp/web or https://apexfaucet.xyz/api/mcp/arc.
C+9.2 🔓 open JSONRPC 39 skills -
BookingTruthBookingTruth● down
Booking-state verification for agents: parses booking confirmation documents, reconciles them against supplier-authoritative evidence, and returns verdicts (confirmed/held/pending/cancelled/unknown) with citable proof packets. CONFIRMED only on supplier-authoritative evidence; anything weaker is an honest UNKNOWN.
E1.4 🔓 open 1 skill